​

Retrieve list of documents

GET
https://example.kaiten.ru/api/latest/documents

Get Document list filtered by query parameters. If version is omitted or set to 1, see the version=1 / default response. If version=2, see the version=2 response.

Query
NameTypeConstraintsDescription
querystringSearch query string
offsetintegerNumber of records to skip for pagination. Default: 0
limitintegerMaximum number of records to return. Default: 100
versionintegerSearch version. Default: 1. Use version=2 to search via OpenSearch and enable the new response format with result and position fields
conditionintegerFilter condition. Used with version=2
fieldsstringComma-separated list of fields to search in. Used with version=2
start_positionstringSearch cursor for version=2 pagination. Pass the position value from the previous version=2 response
include_search_previewbooleanInclude the preview object in each search result. Used with version=2. Default: false
Responses

200
DescriptionResponse typeExample
Returned when version is omitted or set to 1Array of objects
Open
Response Attributes
NameTypeDescription
uid

string

Document uid
id

integer

Document id
title

string

Document title
created

string

Create date
updated

string

Last update timestamp
archived

boolean

Document archived flag
company_id

integer

Company id
author_id

integer

Author user id
parent_entity_uid

null | string

Parent tree entity uid
group_idDeprecated: use
parent_entity_uid instead

null | string

Deprecated alias for parent_entity_uid
entity_type

string

Entity type. Always "document"
sort_order

number

Document sort order
access

enum

Document access type
for_everyone_access_role_id

null | string

Role id for everyone access
version

integer

Current document version number
published_version

null | integer

Published version number
publish_date

null | string

Publication date
public

boolean

Is document publicly available (legacy field)
hidden_on_public_site

boolean

Document is hidden on public site
key

null | string

Unique document key within company
redirect_url

null | string

Redirect URL
icon_type

null | string

Icon type. "material_icon" or null
icon_value

null | string

Icon value
icon_color

null | integer

Icon color
path

string

Inner path to entity in tree
schema_version

integer

ProseMirror schema version
notification_period_start

null | string

Notification period start date
notification_period_end

null | string

Notification period end date
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/documents' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!